<?php
namespace Modules\Admin\CronJobs\Logs;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create('viewMessage')
				->setDescription($this->lang['index']['options']['buttons']['viewMessage'])
				->setIcon("view")
				->setDimensions(900, 400)
				->setAction('viewMessage')
				->setKeyForCurrentRow('id')
			)
		;
	}
}
